# Interface PaperType3D

All Superinterfaces:
  `PaperType`

All Known Subinterfaces:
  `GlyphPaper.GlyphPaperType`

All Known Implementing Classes:
  `MonoPaperType, PixelStackPaperType3D, RgbPaperType3D, SortedPaperType3D, ZBufferPaperType3D`

public interface PaperType3D extends PaperType
PaperType sub-interface for making 3-dimensional plots.

Any decals placed by `PaperType.placeDecal(Paper, Decal)` will be painted in the background first, then any glyphs added by `placeGlyph(Paper, double, double, double, Glyph, Color)` will be added to the 3D scene, then 3D rendering will be done obscuring any background decals. Note this is not really 3D for the decals; bear that in mind when writing 3D plotters.

Since:
  14 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`placeGlyph(Paper paper, double gx, double gy, double dz, Glyph glyph, Color color)`
Places a glyph at a 3-d position in the space.

### Methods inherited from interface PaperType

`createDataIcon, isBitmap, placeDecal`

## Method Details

### placeGlyph

void placeGlyph(Paper paper, double gx, double gy, double dz, Glyph glyph, Color color)
Places a glyph at a 3-d position in the space.

Parameters:
  `paper` - graphics destination specific to this PaperType
  `gx` - graphics X coordinate
  `gy` - graphics Y coordinate
  `dz` - Z-buffer coordinate; lower values are closer to the viewer
  `glyph` - graphics shape
  `color` - colour for glyph